TOPIC_TYPE_MATCH_PROMPT = """请根据选题：

{topic}

判断上述选题的类型，并给出理由；
选题的类型有如下：
故事叙事性选题：留学/职场故事、品牌发展史、旅行游记、生活Vlog（带情节）等
产品测评与推荐：护肤品/彩妆测评、数码产品开箱、家居用品体验、服饰穿搭效果等
教程与指南：化妆教程、烹饪食谱、旅行攻略、健身指导、软件/技能教学等
经验分享与生活记录：日常Vlog、学习/工作感悟、兴趣培养记录、育儿/宠物日常等
清单与合集：爱用物分享、书单/影单推荐、购物清单、主题好物汇总等
热点追踪与话题讨论：参与热门挑战、评论社会事件、解读行业新闻、分析网络热梗等
对比与选择：A/B产品对比、不同方案利弊分析、同类目的地比较等

要求如下：
- 如果类型在上述选项中，请直接输出选题类型、如果不在上述选项中，请根据实际情况输出选题类型；
- direct output in JSONObject with keys:
    - 选题类型(str)
    - 理由(str)
"""

NOTE_PROMPT = """这是{note_description}帖子
帖子id：{channel_content_id}
标题：{title}
正文: {body_text}
还有如下{image_count}张图片
- 第一张图为封面
"""

HISTORY_NOTE_AND_SEARCH_AND_SCRIPT_MODE_AND_KNOWLEDGE_AND_SCREENPLAY_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：
{final_xuanti}

选题的剧本:
{screenplay}

选题的剧本关键点:
{screenplay_keypoint}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

图集脚本模式:
{images_script_mode}

请帮我完成如下任务：
- 参考 {script_knowledge_file_name} 作为脚本创作的知识库；
    - 指导脚本的创作；
- 阅读这个选题的剧本，用图文画面的结构去表达这个选题和剧本：
    - 你可以参考宫崎骏的动画脚本来进行图文分镜头脚本的创作；
    - 保持剧本故事情节的完整性，突出剧本的核心和关键点；
    - 注意剧本的节奏感，保持故事情节的连贯性；
    - 不要有太复杂的情节，保持故事情节的简洁性；
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
    - 从【图集脚本模式】参考，选择合适的模式进行脚本的创作；
    - 按照【历史创作帖子】和【图集脚本模式】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】和【图集脚本模式】的风格、逻辑、模式的一致性；
    - 请从最终的脚本生成效果去选择合适的模式；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与【历史创作帖子】、【图集脚本模式】保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "知识库引用说明": "对于选题知识库引用的详细说明",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""

HISTORY_NOTE_AND_SEARCH_AND_SCRIPT_MODE_AND_KNOWLEDGE_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：
{final_xuanti}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

图集脚本模式:
{images_script_mode}

请帮我完成如下任务：
- 参考 {script_knowledge_file_name} 作为脚本创作的知识库；
    - 指导脚本的创作；
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
    - 从【图集脚本模式】参考，选择合适的模式进行脚本的创作；
    - 按照【历史创作帖子】和【图集脚本模式】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】和【图集脚本模式】的风格、逻辑、模式的一致性；
    - 请从最终的脚本生成效果去选择合适的模式；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与【历史创作帖子】、【图集脚本模式】保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "知识库引用说明": "对于选题知识库引用的详细说明",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""

SCRIPT_ALIGN_MATERIALS_PROMPT = """好了，你做的很棒！现在有了一个完美的脚本。
现在基于【脚本的图集描述】、【历史创作帖子】、【参考的同选题帖子】，我需要你帮我完成以下任务：

- 从【历史创作帖子】、【参考的同选题帖子】提取【脚本的图集描述】关联到的材料；
    - 请根据【脚本的图集描述】中的图片描述，提取出关联到的材料；
    - 如果从【历史创作帖子】总结涉及到相同的主体（人物/动物等），需要单独对主体进行材料提取并命名：
        - 先从【历史创作帖子】总结找到相同的主体；
        - 然后从以上所有的主体图片中选取主体（如果是人物/动物：正脸最全面、五官特征最清晰）最具有代表性的的图片，作为主体的材料；
    - 每个材料名请用确定的词语描述，不要使用复杂的词语；
        - 比如：xx（人物名），xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 材料描述请尽可能详细，具体，不是简单的词语；需要有细节的描述；
        - image_index 指的是材料来源的图片在对应帖子中的图片序号，从1开始，请务必每次输出1张，每一个完整的图片文件视为一张图片；
        - 请确保材料的 image_index 是正确对应到图片的；这个非常重要；
- 重新对【脚本的图集描述】中进行调整，使得图集描述能够对应到上述材料
     - 引用到的材料请用<<>>标注出来，并严格能够进行对应和索引到材料；

- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "脚本": {{
        {{
            "图集描述": "List[str]",
            "图集材料": [
                {{
                    "材料名": "材料名1",
                    "材料类型": "材料类型1",
                    "材料描述": "材料描述1"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
                {{
                    "材料名": "材料名2",
                    "材料类型": "材料类型2",
                    "材料描述": "材料描述"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
                {{
                    "材料名": "材料名N",
                    "材料类型": "材料类型N",
                    "材料描述": "材料描述N"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
            ]
        }}
    }}
}}
"""

NOTE_PROVIDER_PROMPT = """这是第{index}个帖子
帖子id：{channel_content_id}
标题：{title}
正文: {body_text}
还有如下图片
"""

SAME_TOPIC_FIND_PROMPT = """以上就是我给你的{note_count}个帖子
现在我创作了一个选题：

{final_xuanti}

针对我给出的每一个帖子，请帮我完成以下任务：
- 判断帖子的选题是否与我的选题相同：
- 判断帖子是否符合我创作人设特点
    - 输出 score： 评分，范围0-1

要求如下：
- 你不要从表面上去判断，可以从内容创作的角度去判断，因为如果是相同或者类似的选题，将会对我的创作有非常大的帮助
- direct output in JSONObject with keys:
    - 判断结果(list[dict]): each dict contains:
        - note_id(str): 帖子id
        - same_topic(bool): 是否与我的选题相同，True/False
        - same_topic_explain(str): 关联原因说明，说明应该详细、具体，以及分析过程。
        - score(float): 帖子与人设特点的符合度，范围0-1，得分越高，说明越符合我的人设特点
        - score_explain(str): 评分说明，说明应该详细、具体，以及分析过程。
"""


FIND_BEST_SCRIPT_NOTE_FROM_HISTORY_NOTE_PROMPT = """
好了,以上就是我历史创作的{note_count}个帖子
我现在我有一个新的选题：

{final_xuanti}

请帮我完成如下任务：
- 从以上帖子中找到1~3个最具代表性、最符合我选题的`参考帖子`，给出帖子id即可；
    - 符合指的是创作方式、创作逻辑、创作风格等等；请严格按照这些标准去选择；
    - 符合指的是按照你给的参考帖子，能够很好的完成这个选题的创作；
    - 我将会按照这些参考帖子来完成新选题的创作，所以请确保参考帖子的质量；
- 给出参考帖子的理由；
- direct output in JSONObject with keys:
    - 参考帖子(list[dict]),each dict with keys：
         - 帖子id(str)
         - 理由(str)
"""