SCRIPT_ALIGN_MATERIALS_PROMPT = """ok，我现在创作了一个脚本，但是我没有足够的材料使用AI来生成图集；所以需要你帮助我：

基于以上【脚本的图集描述】、【历史创作帖子】、【参考的同选题帖子】，我需要你帮我完成以下任务：


- 请根据【脚本的图集描述】中的图片描述，提取所有在生成过程中重要的材料；
    - 重要的材料指的是对于生成效果、历史创作一致性、任务设计、风格一致性等方面有重要影响的材料；
    - 重要的材料指的是能够突出表达脚本亮点的材料；
    - 或者其他能够影响生成效果的材料；
- 如果从【历史创作帖子】总结涉及到相同的主体（人物/动物等），需要单独对主体进行材料提取并命名：
    - 先从【历史创作帖子】总结找到相同的主体；
    - 然后从以上所有的主体图片中选取主体（如果是人物/动物：正脸最全面、五官特征最清晰）最具有代表性的的图片，作为主体的材料；
    - 这样是为了能够保证材料能够生成和人设一致性的图片；
- 每个材料名请用确定的词语描述，不要使用复杂的词语；
    - 比如：xx（人物名），xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 材料名需要能够对应到图集描述中；
    - 材料描述请尽可能详细，具体，不是简单的词语；需要有细节的描述；
    - 材料可以来源于 【历史创作帖子】、【参考的同选题帖子】，或者指定材料，我去外部搜索补充；
    - 每个材料需要给1～3个材料来源，从上述帖子中找到具有代表性的的图片作为材料来源：
        - image_index 指的是材料来源的图片在对应帖子中的图片序号，从1开始，请务必每次输出1张，每一个完整的图片文件视为一张图片；
        - 请确保材料的 image_index 是正确对应到图片的；这个非常重要；
        - 如果帖子中没有图片，或者图片不符合要求，请不要输出这个材料；材料来源输出为空即可；

- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "材料": [
        {{
            "材料名": "材料名",
            "材料类型": "材料类型",
            "材料描述": "材料描述",
            "材料来源": [
                {{
                    "note_id": "来源的帖子id",
                    "image_index": "素材在来源帖子中的图片序号"
                }},
                {{
                    "note_id": "来源的帖子id",
                    "image_index": "素材在来源帖子中的图片序号"
                }}
            ]
        }},
        {{
            "材料名": "材料名",
            "材料类型": "材料类型",
            "材料描述": "材料描述",
            "材料来源": [
                {{
                    "note_id": "来源的帖子id",
                    "image_index": "素材在来源帖子中的图片序号"
                }}
            ]
        }},
        ...
    ]

}}
"""

SEARCH_KEYWORD_PROMPT = """下面我有一个创作脚本
{script}

基于这个脚本，我还需要一个材料：

材料名：{name}

材料描述：{description}

请给我一个关键词，去搜索小红书平台搜索，找到相关的帖子，来作为我创作的材料
要求：直接输出搜索的关键词，不要有任何多余的解释 
"""


EXTRACT_MATERIAL_FROM_SEARCH_NOTES_PROMPT = """上面就是【材料搜索的帖子】

下面请你帮我提取以下材料:

材料名：{name}

材料描述：{description}

- 从上述帖子中找到具有代表性的的1～3个图片作为材料来源：
    - image_index 指的是材料来源的图片在对应帖子中的图片序号，从1开始，请务必每次输出1张，每一个完整的图片文件视为一张图片；
    - 请确保材料的 image_index 是能够正确对应到图片的；这个非常重要；
    - 如果没有符合要求的，请输出为空即可；
- 要求图片要符合材料名和材料描述；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
[
    {{
        "note_id": "来源的帖子id",
        "image_index": "素材在来源帖子中的图片序号"
    }},
    {{
        "note_id": "来源的帖子id",
        "image_index": "素材在来源帖子中的图片序号"
    }}
]
"""

